/** 
 * @file gl860-dev.h
 * @author Olivier LORIN, tiré du pilote Syntek par Nicolas VIVIEN
 * @date 2008-05-05
 * @version v0.9.0
 *
 * @brief Driver for GL860 USB video camera
 *
 * @note Copyright (C) Olivier LORIN
 *
 * @par Licences
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef GL860_DEV_H
#define GL860_DEV_H


int dev_f191_initialize_device(struct usb_gl860 *);
int dev_f191_configure_device(struct usb_gl860 *, int);
int dev_f191_start_stream(struct usb_gl860 *);
int dev_f191_stop_stream(struct usb_gl860 *);
int dev_f191_camera_asleep(struct usb_gl860 *);
int dev_f191_init_camera(struct usb_gl860 *);
int dev_f191_sensor_settings(struct usb_gl860 *);
int dev_f191_reconf_camera(struct usb_gl860 *);
int dev_f191_camera_settings(struct usb_gl860 *);
int dev_f191_set_camera_quality(struct usb_gl860 *);
int dev_f191_set_camera_fps(struct usb_gl860 *);
/*
int dev_0503_initialize_device(struct usb_gl860 *);
int dev_0503_configure_device(struct usb_gl860 *, int);
int dev_0503_start_stream(struct usb_gl860 *);
int dev_0503_stop_stream(struct usb_gl860 *);
int dev_0503_camera_asleep(struct usb_gl860 *);
int dev_0503_init_camera(struct usb_gl860 *);
int dev_0503_sensor_settings(struct usb_gl860 *);
int dev_0503_reconf_camera(struct usb_gl860 *);
int dev_0503_camera_settings(struct usb_gl860 *);
int dev_0503_set_camera_quality(struct usb_gl860 *);
int dev_0503_set_camera_fps(struct usb_gl860 *);
*/
int dev_0503ms_initialize_device(struct usb_gl860 *dev);
int dev_0503ms_configure_device(struct usb_gl860 *dev, int step);
int dev_0503ms_camera_asleep(struct usb_gl860 *dev);
int dev_0503ms_init_camera(struct usb_gl860 *dev);
int dev_0503ms_sensor_settings(struct usb_gl860 *dev);
int dev_0503ms_camera_settings(struct usb_gl860 *dev);
int dev_0503ms_set_camera_quality(struct usb_gl860 *dev);
int dev_0503ms_set_camera_fps(struct usb_gl860 *dev);
int dev_0503ms_start_stream(struct usb_gl860 *dev);
int dev_0503ms_reconf_camera(struct usb_gl860 *dev);
int dev_0503ms_stop_stream(struct usb_gl860 *dev);

int dev_0503sim_initialize_device(struct usb_gl860 *dev);
int dev_0503sim_configure_device(struct usb_gl860 *dev, int step);
int dev_0503sim_camera_asleep(struct usb_gl860 *dev);
int dev_0503sim_init_camera(struct usb_gl860 *dev);
int dev_0503sim_sensor_settings(struct usb_gl860 *dev);
int dev_0503sim_camera_settings(struct usb_gl860 *dev);
int dev_0503sim_set_camera_quality(struct usb_gl860 *dev);
int dev_0503sim_set_camera_fps(struct usb_gl860 *dev);
int dev_0503sim_start_stream(struct usb_gl860 *dev);
int dev_0503sim_reconf_camera(struct usb_gl860 *dev);
int dev_0503sim_stop_stream(struct usb_gl860 *dev);

int dev_0503his_initialize_device(struct usb_gl860 *dev);
int dev_0503his_configure_device(struct usb_gl860 *dev, int step);
int dev_0503his_camera_asleep(struct usb_gl860 *dev);
int dev_0503his_init_camera(struct usb_gl860 *dev);
int dev_0503his_sensor_settings(struct usb_gl860 *dev);
int dev_0503his_camera_settings(struct usb_gl860 *dev);
int dev_0503his_set_camera_quality(struct usb_gl860 *dev);
int dev_0503his_set_camera_fps(struct usb_gl860 *dev);
int dev_0503his_start_stream(struct usb_gl860 *dev);
int dev_0503his_reconf_camera(struct usb_gl860 *dev);
int dev_0503his_stop_stream(struct usb_gl860 *dev);
#endif 
